Download it now!
Bug 105631 - notebook bar item "Background color" (fill in cell) should remember last color
Summary: notebook bar item "Background color" (fill in cell) should remember last color
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.2 rc
Hardware: All All
: medium enhancement
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.4.0
Keywords: implementationError
Depends on:
Blocks: Notebookbar
  Show dependency treegraph
 
Reported: 2017-01-31 07:47 UTC by Ljiljan
Modified: 2017-02-07 19:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ljiljan 2017-01-31 07:47:55 UTC
When working in LibreOffice Calc with new notebookbar style, in my opinion people want to select color for cells and to be able to fill other cells with only one click (not selecting the same color from dropdown color list every time). This function is available in current Toolbar item, but not in the Notebookbar.
Comment 1 Buovjaga 2017-02-06 08:01:40 UTC
Reproduced. It just opens the dropdown menu.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: c6dd735afb2e1b3837c4f8c5659f52fafab4c56f
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-30_01:52:54
Locale: fi-FI (fi_FI); Calc: group
Comment 2 Commit Notification 2017-02-07 19:38:13 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5350dfca60c90845df9143bc25002dfc45c3d49f

tdf#105631 Notebookbar doesn't use wide buttons

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.